POST /data/projects/{project_id}/settings/task-types

Add a task type linked to a production.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

application/json

Body Required

  • task_type_id string(uuid) Required

    Task type unique identifier

  • priority string

    Task type priority

Responses

  • 201 application/json

    Task type added to production

    Hide response attributes Show response attributes object
    • id string(uuid)

      Project unique identifier

    • name string

      Project name

  • 400

    Invalid parameters

POST /data/projects/{project_id}/settings/task-types
curl -X POST "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/settings/task-types" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "task_type_id": "b35b7fb5-df86-5776-b181-68564193d36",
  "priority": "None"
}'
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/settings/task-types"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "task_type_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "priority": "None"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/settings/task-types' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"task_type_id":"b35b7fb5-df86-5776-b181-68564193d36","priority":"None"}'
Request examples
{
  "task_type_id": "b35b7fb5-df86-5776-b181-68564193d36",
  "priority": "None"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "My Project"
}